From a08a2292afc559d6dfb9eede014a941d8f6b511d Mon Sep 17 00:00:00 2001
From: Arnaud Quette <arnaud.quette@free.fr>
Date: Tue, 17 May 2016 09:26:04 +0200
Subject: [PATCH] mge-shut/usbhid-ups: list AEG PROTECT NAS vendor 06da

AEG PROTECT NAS were previously using VendorID / ProductID 0x2b2d / 0xffff, and
are now using 0x06da / 0xffff. Also bump the mge-hid subdriver version to 1.40
---
 drivers/mge-hid.c | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

diff --git a/drivers/mge-hid.c b/drivers/mge-hid.c
index a3f10afa8..26486c994 100644
--- a/drivers/mge-hid.c
+++ b/drivers/mge-hid.c
@@ -37,7 +37,7 @@
 #include "usbhid-ups.h"
 #include "mge-hid.h"
 
-#define MGE_HID_VERSION		"MGE HID 1.39"
+#define MGE_HID_VERSION		"MGE HID 1.40"
 
 /* (prev. MGE Office Protection Systems, prev. MGE UPS SYSTEMS) */
 /* Eaton */
@@ -55,6 +55,9 @@
 /* AEG */
 #define AEG_VENDORID 0x2b2d
 
+/* Phoenixtec Power Co., Ltd */
+#define PHOENIXTEC 0x06da
+
 #ifndef SHUT_MODE
 #include "usb-common.h"
 
@@ -80,6 +83,7 @@ static usb_device_id_t mge_usb_device_table[] = {
 
 	/* PROTECT B / NAS */
 	{ USB_DEVICE(AEG_VENDORID, 0xffff), NULL },
+	{ USB_DEVICE(PHOENIXTEC, 0xffff), NULL },
 
 	/* Terminating entry */
 	{ -1, -1, NULL }
